# $Revision: 1.8 $, $Date: 2005/09/03 19:26:37 $
Summary:	Cairo renderer plugin for graphviz
Summary(pl):	Wtyczka renderujca Cairo dla graphviza
Name:		graphviz-cairo
Version:	2.6
Release:	1
License:	CPL v1.0
Group:		X11/Applications/Graphics
Source0:	http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz
# Source0-md5:	5fd63e7644e20686a99da152b08ffe94
URL:		http://www.graphviz.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	cairo-devel >= 0.5.1
BUildRequires:	graphviz-devel >= 2.6
BuildRequires:	gtk+2-devel >= 2:2.7.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	graphviz >= 2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A renderer plugin for graphviz that uses cairo and provides output
formats such as PNG, X11.

%description -l pl
Wtyczka renderujca dla graphviza uywajca cairo i udostpniajca
formaty wyjciowe takie jak PNG, X11.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x %{_bindir}/dot ] || %{_bindir}/dot -c > /dev/null 2>&1

%postun
umask 022
[ ! -x %{_bindir}/dot ] || %{_bindir}/dot -c > /dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/graphviz/*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: graphviz-cairo.spec,v $
Revision 1.8  2005/09/03 19:26:37  qboosh
- graphviz 2.6 uses "dot -c"

Revision 1.7  2005/08/31 05:34:09  qboosh
- BR: libgnomeui-devel

Revision 1.6  2005/08/29 20:30:31  qboosh
- up to 2.6 (untested)

Revision 1.5  2005/07/25 20:42:17  qboosh
- umask in post/postun

Revision 1.4  2005/07/23 09:27:11  qboosh
- cleanup, versioned BRs

Revision 1.3  2005/07/23 09:09:24  qboosh
- pl

Revision 1.2  2005/07/22 19:31:58  darekr
- BR: libtool

Revision 1.1  2005/07/22 19:11:12  arekm
- new, not tested
